{{page-title (capitalize (t "create a new account"))}}

{{#if this.session.isAuthenticated}}
  <div class="container pt-5">
    <h1>You are already logged in.</h1>
    <p>
      <LinkTo @route="index" class="nav-link">Go to the main page</LinkTo>
    </p>
  </div>
{{else if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else if @model.shouldRedirect}}
  <p class="redirect-message">
    Redirecting to
    <Link @to={{@model.registerUrl}}>{{@model.registerUrl}}</Link>
  </p>
{{else}}
  <div class="container pt-5" {{did-insert this.formInserted}}>
    <div class="row">
      <div class="col-sm-6">
        <h2>
          {{capitalize (t "create a new account")}}
        </h2>

        <div class="body-container mb-3 mt-3">
          <div class="mb-3">
            <Input::UserName @onChange={{this.handleNameChange}} @value={{this.name}} />
          </div>

          <div class="form-group mb-3">
            <label for="username">{{capitalize (t "username or public name")}} <span class="text-info">*</span></label>
            <Input class="form-control input-username" id="username"
              placeholder={{capitalize (t "what's your username?")}} required={{true}} @value={{this.username}} />
          </div>

          <div class="form-group mb-3">
            <label for="email">{{capitalize (t "e-mail")}} <span class="text-info">*</span></label>
            <Input class="form-control input-email" id="email" @type="email"
              placeholder={{capitalize (t "enter your e-mail")}} required={{true}} @value={{this.email}} />
          </div>

          <Input::NewPassword @newPassword1={{this.password}} @newPassword2={{this.passwordConfirm}}
            @onChange={{this.changePasswordValue}} />

          {{!-- <div class="form-check mb-4">
            <Input @type="checkbox" class="form-check-input" id="termsAndPrivacyPolicy" required={{true}} @checked={{this.isAgreed}} />
            <label class="form-check-label align-text-top" for="termsAndPrivacyPolicy">{{capitalize (t "register-section.accept-message")}}
              <LinkTo @route="page" @model="help/terms">{{capitalize (t "terms of Service")}}</LinkTo>
              {{t "and"}}
              <LinkTo @route="page" @model="help/privacy">{{capitalize (t "privacy Policy")}}</LinkTo>
            </label>
          </div> --}}

          {{#if this.hasTerms}}
            <div class="form-check form-check-terms mb-3">
              <Label @after={{true}} @value={{t "register-section.accept-message-terms"}} class="form-check-label mb-0"
                as |id|>
                <Input class="form-check-input check-terms" @checked={{this.acceptTerms}} @type="checkbox" id={{id}} />
              </Label>
              <Link @to="/terms" target="_blank">
              {{t "register-section.message-read-terms"}}
              </Link>
              <span class="text-info">*</span>
            </div>
          {{/if}}

          {{#if this.hasPrivacyPolicy}}
            <div class="form-check form-check-privacy-policy mb-3">
              <Label @after={{true}} @value={{t "register-section.accept-message-privacy-policy"}}
                class="form-check-label mb-0" as |id|>
                <Input class="form-check-input check-privacy-policy" @checked={{this.acceptPrivacyPolicy}} @type="checkbox" id={{id}} />
              </Label>
              <Link @to="/privacy-policy" target="_blank">
              {{t "register-section.message-read-privacy-policy"}}
              </Link>
              <span class="text-info">*</span>
            </div>
          {{/if}}

          <div class="form-check form-check-newsletter mb-3">
            <Label @after={{true}} @value={{t "register-section.accept-message-newsletter"}}
              class="form-check-label mb-0" as |id|>
              <Input class="form-check-input check-newsletter" @checked={{this.newsletter}} @type="checkbox" id={{id}} />
            </Label>
          </div>

          {{#if (eq this.model.captchaEnabled "reCAPTCHA")}}
            <div class="mb-3">
              <Input::Captcha::Recaptcha @siteKey={{this.siteKey}} @onResponse={{this.updateResponse}} />
            </div>
          {{/if}}

          {{#if (eq this.model.captchaEnabled "mtCAPTCHA")}}
            <div class="mb-3">
              <Input::Captcha::Mtcaptcha @siteKey={{this.siteKey}} @onResponse={{this.updateResponse}} />
            </div>
          {{/if}}

          <Input::Button class="btn btn-primary btn-submit" @disabled={{this.isDisabled}}
            @action={{this.createAccount}}>
            {{capitalize (t "register")}}
          </Input::Button>

          {{#unless this.embed.isEnabled}}
            <p class="mt-5 sign-in-link-section">
              {{capitalize (t "already have an account?")}}
              <LinkTo @route="login.index">{{capitalize (t "sign in")}}</LinkTo>.
            </p>
          {{/unless}}
        </div>
      </div>
    </div>
  </div>
{{/if}}